# Class: FAttribute

## FAttribute()

Attribute is an abstract concept which has two real uses - label (key - value pair) and relation (representing named relationship between source and target note)

## Constructor

#### new FAttribute()

Source:
  - entities/fattribute.js, line 12

### Members

#### attributeId :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 22

#### froca :Froca

##### Type:

- Froca

Source:
  - entities/fattribute.js, line 15

#### isInheritable :boolean

##### Type:

- boolean

Source:
  - entities/fattribute.js, line 34

#### name :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 28

#### noteId :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 24

#### position :int

##### Type:

- int

Source:
  - entities/fattribute.js, line 32

#### type :AttributeType

##### Type:

- AttributeType

Source:
  - entities/fattribute.js, line 26

#### value :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 30

### Methods

#### getNote() → {FNote}

Source:
  - entities/fattribute.js, line 38

##### Returns:

Type
  FNote

#### (async) getTargetNote() → {Promise.<FNote>}

Source:
  - entities/fattribute.js, line 43

##### Returns:

Type
  Promise.<FNote>